#include<TH1D.h>
#include<TF1.h>
#include<TCanvas.h>
#include<TStyle.h>
#include<TFile.h>
#include<TROOT.h>

void save()
{
gROOT->Reset();

TStyle * plain = new TStyle("plain","plain");
plain->SetCanvasBorderMode(0); 
plain->SetPadBorderMode(0); 
plain->SetPadColor(0); 
plain->SetCanvasColor(0); 
plain->SetTitleColor(1); 
plain->SetStatColor(0);
plain->SetTitleFillColor(0);

gROOT->SetStyle("plain");

TCanvas * c = new TCanvas("c_ref","c_title", 200,10,600,600);

TH1D * h = new TH1D("histo", "", 100,0,1);

TF1 * f1 = new TF1("f1","Gaus(x,[0],[1])",-1000,1000);
f1->SetParameters(0.5,0.1);

h->FillRandom("f1", 5000);

h->Draw();

c->SaveAs("h.eps");
c->SaveAs("h.root");
}

void open()
{
gROOT->Reset();

TStyle * plain = new TStyle("plain","plain");
plain->SetCanvasBorderMode(0); 
plain->SetPadBorderMode(0); 
plain->SetPadColor(0); 
plain->SetCanvasColor(0); 
plain->SetTitleColor(1); 
plain->SetStatColor(0);
plain->SetTitleFillColor(0);

gROOT->SetStyle("plain");

TFile * file = new TFile("h.root");

TCanvas * c1 = (TCanvas*)file->Get("c_ref");
TH1D * h1 = (TH1D*)c1->GetListOfPrimitives()->FindObject("histo");
file->Close();

TCanvas * c2 = new TCanvas("c2","c2", 200,10,600,600);
h1->Draw();
}
