#include<TGraph.h>
#include<TCanvas.h>
#include<TROOT.h>

void graph()
{
gROOT->Reset();

TCanvas * c = new TCanvas("c_ref","c_title", 200,10,600,600);

int n = 4;
double x[] = {1,2,3,4};
double y[] = {2,4.5,6,7};

TGraph * g1 = new TGraph(n,x,y);

g1->SetTitle("title");

g1->SetMarkerStyle(20);
g1->SetMarkerColor(2);
g1->SetLineColor(4);
g1->Draw("apl");

TGraph * g2 = new TGraph();
for(double i = 0; i < 10; i++) g2->SetPoint(int(i),i*0.4,sqrt(i));

g2->SetMarkerStyle(21);
g2->SetMarkerColor(8);
g2->SetLineColor(6);
g2->Draw("pc");
}

