#include<TApplication.h>
#include<TCanvas.h>
#include<TH1D.h>
#include<TF1.h>
#include<TStyle.h>
#include<TROOT.h>

int main(int argc, char * argv[])
{
int n = atoi(argv[1]);

TApplication a("a", &argc, argv);

gROOT->Reset();

TStyle * plain = new TStyle("plain","plain");
plain->SetCanvasBorderMode(0); 
plain->SetPadBorderMode(0); 
plain->SetPadColor(0); 
plain->SetCanvasColor(0); 
plain->SetTitleColor(1); 
plain->SetStatColor(0);
plain->SetTitleFillColor(0);

gROOT->SetStyle("plain");

TCanvas * c = new TCanvas("c_ref","c_title", 200,10,600,600);

TH1D * h = new TH1D("histo", "", 100,0,1);

TF1 * f1 = new TF1("f1","Gaus(x,[0],[1])",-1000,1000);
f1->SetParameters(0.5,0.1);

h->FillRandom("f1", n);

h->Draw();

a.Run();

return 0;
}
