#include<iostream>

#include<TFile.h>
#include<TTree.h>
#include<TRandom3.h>

void save_tree()
{
TFile * f = new TFile("tree.root", "RECREATE");

TTree * t = new TTree("data","");

double x, y;
int event;

t->Branch("x", &x, "x/D");
t->Branch("y", &y, "y/D");
t->Branch("event", &event, "event/I");

TRandom3 * ran = new TRandom3();
ran->SetSeed(0);

for(int i = 0; i < 1000; i++)
	{
	x = ran->Gaus(0.5,3);
	y = ran->Exp(1);
	event = i;
	
	t->Fill();
	}

f->Write();
f->Close();	
}

void open_tree()
{
TFile * f = new TFile("tree.root");

TTree * t = (TTree*)f->Get("data");

double x, y;
int event;

t->SetBranchAddress("x", &x);
t->SetBranchAddress("y", &y);
t->SetBranchAddress("event", &event);

for(Long64_t i = 0; i < t->GetEntriesFast(); i++)
	{
	t->GetEntry(i);
	cout<<event<<" "<<x<<" "<<y<<endl;
	}

f->Close();
}
